#!/bin/sh

set -e

echo
echo ">> Running unit tests"
echo

g++ --version
echo

make -C cpp run_matching test_mwmatching
cpp/test_mwmatching

echo
echo ">> Running test graphs"
echo

python3 tests/run_test.py --solver cpp/run_matching --verify \
    tests/graphs/chain_n1000.edge \
    tests/graphs/chain_n5000.edge \
    tests/graphs/chain_n10000.edge \
    tests/graphs/sparse_delta_n1004.edge \
    tests/graphs/sparse_delta_n2004.edge \
    tests/graphs/sparse_delta_n5004.edge \
    tests/graphs/triangles_n1002.edge \
    tests/graphs/triangles_n5001.edge \
    tests/graphs/triangles_n10002.edge \
    tests/graphs/random_n1000_m10000.edge \
    tests/graphs/random_n2000_m10000.edge \
    tests/graphs/random_n4000_m10000.edge

echo
echo ">> Done"

